MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000023XdebugUsage problems (Wrong Results)public2003-10-19 21:142004-09-15 10:07
Reporterrehsack 
Assigned Toderick 
PrioritynormalSeveritycrashReproducibilityunable to reproduce
StatusresolvedResolutionunable to reproduce 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000023: core dump with xdebug-current (2003-10-19 19:12 GMT)
DescriptionWhen PHP is running with current xdebug enabled, xdebug crashs in in xdebug_llist_count (l=0x0) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug_llist.c:168
Additional InformationBacktrace (gdb):
#0 0x68a1a5ea in xdebug_llist_count (l=0x0) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug_llist.c:168
168 return l->size;
(gdb) bt
#0 0x68a1a5ea in xdebug_llist_count (l=0x0) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug_llist.c:168
#1 0x68a1a60d in xdebug_llist_empty (l=0x0, user=0x0) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug_llist.c:173
0000002 0x68a1a65b in xdebug_llist_destroy (l=0x0, user=0x0) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug_llist.c:180
0000003 0x68a0f542 in xdebug_stop_trace () at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug.c:1429
0000004 0x68a0e27b in xdebug_execute (op_array=0x826968c) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug.c:851
0000005 0x08181828 in execute ()
0000006 0x68a0e322 in xdebug_execute (op_array=0x8259e8c) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug.c:864
0000007 0x0817244b in zend_execute_scripts ()
0000008 0x08142651 in php_execute_script ()
0000009 0x08187b35 in main ()
0000010 0x0806c11c in _start ()
(gdb) list
163 return e;
164 }
165
166 size_t xdebug_llist_count(xdebug_llist *l)
167 {
168 return l->size;
169 }
170
171 void xdebug_llist_empty(xdebug_llist *l, void *user)
172 {
(gdb) up
#1 0x68a1a60d in xdebug_llist_empty (l=0x0, user=0x0) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug_llist.c:173
173 while (xdebug_llist_count(l) > 0) {
(gdb) list
168 return l->size;
169 }
170
171 void xdebug_llist_empty(xdebug_llist *l, void *user)
172 {
173 while (xdebug_llist_count(l) > 0) {
174 xdebug_llist_remove(l, XDEBUG_LLIST_TAIL(l), user);
175 }
176 }
177
(gdb) up
0000002 0x68a1a65b in xdebug_llist_destroy (l=0x0, user=0x0) at /usr/ports/devel/php-xdebug/work/xdebug-1.2.0/xdebug_llist.c:180
180 xdebug_llist_empty(l, user);
(gdb) list
175 }
176 }
177
178 void xdebug_llist_destroy(xdebug_llist *l, void *user)
179 {
180 xdebug_llist_empty(l, user);
181
182 free (l);
183 l = NULL;
184 }
TagsNo tags attached.
Operating SystemFreeBSD 5-CURRENT, gcc 3.3.1
PHP Version4.3.3
Attached Files

- Relationships

-  Notes
(0000027)
rehsack (reporter)
2003-10-19 21:15

Sorry, wrong category: it's the xdebug.so php module.
(0000028)
derick (administrator)
2003-10-20 10:11

A few questions:

1. What is xdebug-current?
2. What are your xdebug php.ini settings (see phpinfo() output)
3. How does the script look like that crashes (ie, did you use any xdebug_*() functions?)
(0000029)
rehsack (reporter)
2003-10-20 10:25

1) I have named the 'cvs up' got xdebug-current. Because it's no release
   nor rc, ...
   It's just the current development state
2) php_info() - your just kidding, hm? xdebug make it crash on start.

cat /usr/local/etc/php.ini
--- SNIP
[xdebug]
xdebug.remote_host=statler.muppets.liwing.de
;xdebug.remote_enable=on
xdebug.auto_profile=on
xdebug.output_dir=/var/www/data/globals/xdebug
xdebug.auto_profile_mode=8
; Auto Profile Modes:
; XDEBUG_PROFILER_LBL (0) default
; XDEBUG_PROFILER_CPU (1)
; XDEBUG_PROFILER_NC (2)
; XDEBUG_PROFILER_FS_AV (3)
; XDEBUG_PROFILER_FS_SUM (4)
; XDEBUG_PROFILER_FS_NC (5)
; XDEBUG_PROFILER_SD_LBL (6)
; XDEBUG_PROFILER_SD_CPU (7)
; XDEBUG_PROFILER_SD_NC (8)
--- SNAP
--- SNIP
zend_extension=/usr/local/lib/php/extensions/no-debug-non-zts-20020429/xdebug.so
--- SNAP

3) No, I just want to get some profile output. The backtrace of the dump you
   could see, couldn't you?
(0000030)
derick (administrator)
2003-10-20 10:59

Yeah, I saw the backtrace. Hmm, I'm not sure about the current CVS HEAD, as I'm hacking in the new protocol so it doesn't actually compile at all for me atm. Can please try the xdebug_1_3 branch in CVS and see if that works?
(0000032)
rehsack (reporter)
2003-10-21 18:50

Hm do you have a download url so I can update the port?
(0000036)
derick (administrator)
2003-10-25 15:05

http://www.xdebug.org/download.php/xdebug-1.3.0rc1.tgz [^]
(0000037)
derick (administrator)
2003-10-25 15:18

hmm, I do think you'd need to try the xdebug_1_3 branch in CVS though, as there were some fixes related to crashes since I released rc1
(0000040)
rehsack (reporter)
2003-11-01 13:54

This modification prevents it from crashing:

--- BEGIN patch-xdebug_llist.c
Index: xdebug_llist.c
===================================================================
RCS file: /repository/xdebug/xdebug_llist.c,v
retrieving revision 1.4
diff -u -u -r1.4 xdebug_llist.c
--- xdebug_llist.c 20 Feb 2003 14:30:54 -0000 1.4
+++ xdebug_llist.c 1 Nov 2003 12:42:55 -0000
@@ -165,7 +165,7 @@
  
 size_t xdebug_llist_count(xdebug_llist *l)
 {
- return l->size;
+ return ( NULL != l ) ? l->size : 0;
 }
--- END patch-xdebug_llist.c
(0000049)
derick (administrator)
2003-11-07 16:32

It might fix this, but it's not the solution to the problem. xdebug_llist_count() should not be called in the first place if the list doesn't exist.
(0000059)
rehsack (reporter)
2003-11-13 12:19

I know, but I didn't have the time to do the groundwork which will be needed here.
Do you have any other idea how I can support you to find the real bug and fix it?
(0000076)
derick (administrator)
2003-12-07 22:25

Updated Category, Severity and Reproducibility
(0000097)
rehsack (reporter)
2004-02-18 15:55

sorry for delay in checking my bugs - I'm very busy at the moment. I'll give it a shot in next few weeks
(0000191)
derick (administrator)
2004-09-15 10:07

I'm going to mark this bug as resolved, as I'm still unable to duplicate it. If you have more information about it, feel free to reopen it.

Derick

- Issue History
Date Modified Username Field Change
2003-10-19 21:14 rehsack New Issue
2003-10-19 21:15 rehsack Note Added: 0000027
2003-10-20 10:11 derick Note Added: 0000028
2003-10-20 10:11 derick Status new => feedback
2003-10-20 10:25 rehsack Note Added: 0000029
2003-10-20 10:59 derick Note Added: 0000030
2003-10-21 18:50 rehsack Note Added: 0000032
2003-10-25 15:05 derick Note Added: 0000036
2003-10-25 15:18 derick Note Added: 0000037
2003-11-01 13:54 rehsack Note Added: 0000040
2003-11-07 16:32 derick Note Added: 0000049
2003-11-13 12:19 rehsack Note Added: 0000059
2003-12-07 22:25 derick Note Added: 0000076
2003-12-07 22:25 derick Severity block => crash
2003-12-07 22:25 derick Reproducibility always => unable to reproduce
2003-12-07 22:25 derick Category Debug client (console) => Usage problems
2004-02-18 15:55 rehsack Note Added: 0000097
2004-09-15 10:07 derick Status feedback => resolved
2004-09-15 10:07 derick Resolution open => unable to reproduce
2004-09-15 10:07 derick Assigned To => derick
2004-09-15 10:07 derick Note Added: 0000191
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker